GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/thread-fsm.c File Reference
`#include "defs.h"`
`#include "thread-fsm.h"`

Go to the source code of this file.

## Functions
void | thread_fsm_ctor (struct thread_fsm *self, struct thread_fsm_ops *ops, struct interp *cmd_interp)
void | thread_fsm_delete (struct thread_fsm *self)
void | thread_fsm_clean_up (struct thread_fsm *self, struct thread_info *thread)
int | thread_fsm_should_stop (struct thread_fsm *self, struct thread_info *thread)
struct return_value_info * | thread_fsm_return_value (struct thread_fsm *self)
void | thread_fsm_set_finished (struct thread_fsm *self)
int | thread_fsm_finished_p (struct thread_fsm *self)
enum async_reply_reason | thread_fsm_async_reply_reason (struct thread_fsm *self)
int | thread_fsm_should_notify_stop (struct thread_fsm *self)

## Function Documentation

## ◆ thread_fsm_async_reply_reason()

enum async_reply_reason thread_fsm_async_reply_reason | ( | struct thread_fsm * | self | ) |

Definition at line 92 of file thread-fsm.c.

References gdb_assert, and thread_fsm_finished_p().

Referenced by mi_on_normal_stop_1().

## ◆ thread_fsm_clean_up()

void thread_fsm_clean_up | ( | struct thread_fsm * | self,
|  | struct thread_info * | thread
| ) |  |

Definition at line 49 of file thread-fsm.c.

Referenced by call_function_by_hand_dummy(), clean_up_just_stopped_threads_fsms(), step_1(), and thread_cancel_execution_command().

## ◆ thread_fsm_ctor()

void thread_fsm_ctor | ( | struct thread_fsm * | self,
|  | struct thread_fsm_ops * | ops,
|  | struct interp * | cmd_interp
| ) |  |

Definition at line 25 of file thread-fsm.c.

Referenced by new_call_thread_fsm(), new_finish_command_fsm(), new_step_command_fsm(), new_until_break_fsm(), and new_until_next_fsm().

## ◆ thread_fsm_delete()

void thread_fsm_delete | ( | struct thread_fsm * | self | ) |

Definition at line 36 of file thread-fsm.c.

References xfree().

Referenced by call_function_by_hand_dummy(), clear_proceed_status_thread(), and thread_cancel_execution_command().

## ◆ thread_fsm_finished_p()

int thread_fsm_finished_p | ( | struct thread_fsm * | self | ) |

Definition at line 84 of file thread-fsm.c.

Referenced by call_function_by_hand_dummy(), call_thread_fsm_should_notify_stop(), mi_on_normal_stop_1(), print_stop_event(), should_print_stop_to_console(), and thread_fsm_async_reply_reason().

## ◆ thread_fsm_return_value()

struct return_value_info* thread_fsm_return_value | ( | struct thread_fsm * | self | ) |

Definition at line 66 of file thread-fsm.c.

Referenced by print_stop_event().

## ◆ thread_fsm_set_finished()

void thread_fsm_set_finished | ( | struct thread_fsm * | self | ) |

Definition at line 76 of file thread-fsm.c.

Referenced by call_thread_fsm_should_stop(), finish_command_fsm_should_stop(), prepare_one_step(), step_command_fsm_should_stop(), until_break_fsm_should_stop(), and until_next_fsm_should_stop().

## ◆ thread_fsm_should_notify_stop()

int thread_fsm_should_notify_stop | ( | struct thread_fsm * | self | ) |

Definition at line 104 of file thread-fsm.c.

Referenced by fetch_inferior_event().

## ◆ thread_fsm_should_stop()

int thread_fsm_should_stop | ( | struct thread_fsm * | self,
|  | struct thread_info * | thread
| ) |  |

Definition at line 58 of file thread-fsm.c.

Referenced by fetch_inferior_event().